LiteSpeed Linux server2.poyrazhosting.com 3.10.0-962.3.2.lve1.5.77.el7.x86_64 #1 SMP Mon Dec 12 07:06:14 EST 2022 x86_64 safemode : OFF MySQL: OFF | Perl: OFF | cURL: ON | WGet: OFF > / lib / rpm / | Server Ip : 104.21.78.54 |
Filename | /lib/rpm/check-files |
Size | 1.02 kb |
Permission | rwxr-xr-x |
Owner | |
Create time | 08-Dec-2022 22:35 |
Last modified | 24-Nov-2021 09:47 |
Last accessed | 24-Nov-2021 09:47 |
Actions | edit | rename | delete | download (gzip) |
View | text | code | image |
#!/bin/sh
#
# Gets file list on standard input and RPM_BUILD_ROOT as first parameter
# and searches for omitted files (not counting directories).
# Returns it's output on standard output.
#
# [email protected]
# Get build root
RPM_BUILD_ROOT="${1}"
# Handle the case where ${RPM_BUILD_ROOT} is undefined, not a directory, etc.
if [ ! -d "${RPM_BUILD_ROOT}" ] ; then
cat > /dev/null
if [ -e "${RPM_BUILD_ROOT}" ] ; then
echo "Error: \`${RPM_BUILD_ROOT}' is not a directory" 1>&2
fi
exit 1
fi
# Create temporary file listing files in the manifest
[ -n "$TMPDIR" ] || TMPDIR="/tmp"
FILES_DISK=`mktemp "${TMPDIR}/rpmXXXXXX"`
# Ensure temporary file is cleaned up when we exit
trap "rm -f \"${FILES_DISK}\"" 0 2 3 5 10 13 15
# Find non-directory files in the build root and compare to the manifest.
# TODO: regex chars in last sed(1) expression should be escaped
find "${RPM_BUILD_ROOT}" -type f -o -type l | LC_ALL=C sort > "${FILES_DISK}"
LC_ALL=C sort | diff -d "${FILES_DISK}" - | sed -n 's|^< '"${RPM_BUILD_ROOT}"'\(.*\)$| \1|gp'
#
# Gets file list on standard input and RPM_BUILD_ROOT as first parameter
# and searches for omitted files (not counting directories).
# Returns it's output on standard output.
#
# [email protected]
# Get build root
RPM_BUILD_ROOT="${1}"
# Handle the case where ${RPM_BUILD_ROOT} is undefined, not a directory, etc.
if [ ! -d "${RPM_BUILD_ROOT}" ] ; then
cat > /dev/null
if [ -e "${RPM_BUILD_ROOT}" ] ; then
echo "Error: \`${RPM_BUILD_ROOT}' is not a directory" 1>&2
fi
exit 1
fi
# Create temporary file listing files in the manifest
[ -n "$TMPDIR" ] || TMPDIR="/tmp"
FILES_DISK=`mktemp "${TMPDIR}/rpmXXXXXX"`
# Ensure temporary file is cleaned up when we exit
trap "rm -f \"${FILES_DISK}\"" 0 2 3 5 10 13 15
# Find non-directory files in the build root and compare to the manifest.
# TODO: regex chars in last sed(1) expression should be escaped
find "${RPM_BUILD_ROOT}" -type f -o -type l | LC_ALL=C sort > "${FILES_DISK}"
LC_ALL=C sort | diff -d "${FILES_DISK}" - | sed -n 's|^< '"${RPM_BUILD_ROOT}"'\(.*\)$| \1|gp'